package com.durant.kafka.config;


import com.durant.kafka.constant.KafkaConstants;
import lombok.extern.log4j.Log4j2;
import org.apache.kafka.clients.producer.KafkaProducer;
import org.apache.kafka.clients.producer.Producer;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.Properties;

import static com.durant.kafka.constant.KafkaConstants.BOOSTRAP_SERVERS;

/**
 * @author 冯凯
 * @version 1.0
 * @description: kafka生产者配置
 * @date 2023/11/25 13:23
 */
@Configuration
@Log4j2
public class KafkaProducerConfig {

    @Bean
    public Producer<String, String> producerInit() {

        // 创建一个KafkaProducer的配置对象
        Properties properties = new Properties();
        // 设置Kafka服务器的地址
        properties.put("bootstrap.servers", "117.72.43.22:9092");
        // 设置消息的key和value的序列化方式为StringSerializer
        properties.put("key.serializer", "org.apache.kafka.common.serialization.StringSerializer");
        properties.put("value.serializer", "org.apache.kafka.common.serialization.StringSerializer");
        properties.put("partitioner.class", "com.durant.kafka.config.MyPartitioner");
        // 输出日志信息
        log.info("你好kafka");
        // 返回一个使用给定配置对象创建的KafkaProducer实例
        return new KafkaProducer<>(properties);
    }


}
