package com.durant.mqtt.service;

import com.durant.kafka.constant.KafkaConstants;
import com.durant.kafka.service.KafkaService;
import org.apache.kafka.clients.producer.KafkaProducer;
import org.apache.kafka.clients.producer.ProducerRecord;
import org.eclipse.paho.client.mqttv3.IMqttDeliveryToken;
import org.eclipse.paho.client.mqttv3.MqttCallback;
import org.eclipse.paho.client.mqttv3.MqttMessage;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Properties;

/**
 * @author 冯凯
 * @version 1.0
 * @description:
 * @date 2023/11/24 19:07
 */
@Service
public class MqttService implements MqttCallback {

    @Autowired
    private KafkaService kafkaService;
    private static final Logger log= LoggerFactory.getLogger(MqttService.class);
    @Override
    public void connectionLost(Throwable throwable) {

    }

    /**
     * 消息到达时触发的方法
     */
    @Override
    public void messageArrived(String topic, MqttMessage mqttMessage) throws Exception {
        log.info("主题是:" + topic);
        String msg = new String(mqttMessage.getPayload());
        log.info("收到消息是:" + msg);
        kafkaService.send("topA", String.valueOf(msg.hashCode()), msg);
    }


    @Override
    public void deliveryComplete(IMqttDeliveryToken iMqttDeliveryToken) {

    }


}
